### Function

# GimpUi prop_spin_button_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_spin_button_new (
      GObject* config,
      const gchar* property_name,
      gdouble step_increment,
      gdouble page_increment,
      gint digits
    )

#### Description [src]

Creates a spin button to set and display the value of the specified double property.

If you wish to change the widget’s range relatively to the `property_name`‘s range, use gimp_prop_widget_set_factor().

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of double property controlled by the spin button.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`step_increment`

  Type: `gdouble`

  Step size.

`page_increment`

  Type: `gdouble`

  Page size.

`digits`

  Type: `gint`

  Number of digits after decimal point to display.

#### Return value

Type: `GtkWidget`

A new #libgimpwidgets-gimpspinbutton.

The caller of the function takes ownership of the data, and is responsible for freeing it.